List Documents
curl --request GET \
--url https://api.example.com/documentsimport requests
url = "https://api.example.com/documents"
response = requests.get(url)
print(response.text)const options = {method: 'GET'};
fetch('https://api.example.com/documents', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"documents": [
{}
],
"total": 123
}Documents
List Documents
Retrieve a list of ingested documents in the corpus.
GET
/
documents
List Documents
Query Parameters
number
The page number to retrieve. Defaults to 1.
number
The number of items per page. Defaults to 20, Max 100.
Response
array
Array of document metadata objects.
number
Total number of documents.
Example Response
{
"documents": [
{
"id": "doc-123",
"title": "Welcome",
"status": "indexed"
}
],
"total": 1
}
⌘I

